com.genesyslab.wfm7.API.service.config761

## Class CfgUserHolder

- java.lang.Object
- - com.genesyslab.wfm7.API.service.config761.CfgUserHolder

- All Implemented Interfaces:
    java.io.Serializable

      public class CfgUserHolder
      extends java.lang.Object
      implements java.io.Serializable

  See Also:
    Serialized Form

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `private java.lang.Object` | `__equalsCalc`
    `private boolean` | `__hashCodeCalc`
    `private CfgBUShort[]` | `BUInfo`
    `private int` | `BUInfoNSizeIs`
    `private CfgUser[]` | `objectArray`
    `private int` | `objectArrayNSizeIs`
    `private int[]` | `objectIDArray`
    `private int` | `objectIDArrayNSizeIs`
    `private CfgUserShort[]` | `objectShortArray`
    `private int` | `objectShortArrayNSizeIs`
    `private CfgSiteShort[]` | `siteInfo`
    `private int` | `siteInfoNSizeIs`
    `private CfgSubsystem[]` | `subsystemInfo`
    `private int` | `subsystemInfoNSizeIs`
    `private CfgTeamShort[]` | `teamInfo`
    `private int` | `teamInfoNSizeIs`
    `private long` | `timestamp`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `CfgUserHolder()`
    `CfgUserHolder(int objectIDArrayNSizeIs, int[] objectIDArray, int objectArrayNSizeIs, CfgUser[] objectArray, int objectShortArrayNSizeIs, CfgUserShort[] objectShortArray, int BUInfoNSizeIs, CfgBUShort[] BUInfo, int siteInfoNSizeIs, CfgSiteShort[] siteInfo, int teamInfoNSizeIs, CfgTeamShort[] teamInfo, int subsystemInfoNSizeIs, CfgSubsystem[] subsystemInfo, long timestamp)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `equals(java.lang.Object obj)`
    `CfgBUShort[]` | `getBUInfo()` Gets the BUInfo value for this CfgUserHolder.
    `int` | `getBUInfoNSizeIs()` Gets the BUInfoNSizeIs value for this CfgUserHolder.
    `CfgUser[]` | `getObjectArray()` Gets the objectArray value for this CfgUserHolder.
    `int` | `getObjectArrayNSizeIs()` Gets the objectArrayNSizeIs value for this CfgUserHolder.
    `int[]` | `getObjectIDArray()` Gets the objectIDArray value for this CfgUserHolder.
    `int` | `getObjectIDArrayNSizeIs()` Gets the objectIDArrayNSizeIs value for this CfgUserHolder.
    `CfgUserShort[]` | `getObjectShortArray()` Gets the objectShortArray value for this CfgUserHolder.
    `int` | `getObjectShortArrayNSizeIs()` Gets the objectShortArrayNSizeIs value for this CfgUserHolder.
    `CfgSiteShort[]` | `getSiteInfo()` Gets the siteInfo value for this CfgUserHolder.
    `int` | `getSiteInfoNSizeIs()` Gets the siteInfoNSizeIs value for this CfgUserHolder.
    `CfgSubsystem[]` | `getSubsystemInfo()` Gets the subsystemInfo value for this CfgUserHolder.
    `int` | `getSubsystemInfoNSizeIs()` Gets the subsystemInfoNSizeIs value for this CfgUserHolder.
    `CfgTeamShort[]` | `getTeamInfo()` Gets the teamInfo value for this CfgUserHolder.
    `int` | `getTeamInfoNSizeIs()` Gets the teamInfoNSizeIs value for this CfgUserHolder.
    `long` | `getTimestamp()` Gets the timestamp value for this CfgUserHolder.
    `int` | `hashCode()`
    `void` | `setBUInfo(CfgBUShort[] BUInfo)` Sets the BUInfo value for this CfgUserHolder.
    `void` | `setBUInfoNSizeIs(int BUInfoNSizeIs)` Sets the BUInfoNSizeIs value for this CfgUserHolder.
    `void` | `setObjectArray(CfgUser[] objectArray)` Sets the objectArray value for this CfgUserHolder.
    `void` | `setObjectArrayNSizeIs(int objectArrayNSizeIs)` Sets the objectArrayNSizeIs value for this CfgUserHolder.
    `void` | `setObjectIDArray(int[] objectIDArray)` Sets the objectIDArray value for this CfgUserHolder.
    `void` | `setObjectIDArrayNSizeIs(int objectIDArrayNSizeIs)` Sets the objectIDArrayNSizeIs value for this CfgUserHolder.
    `void` | `setObjectShortArray(CfgUserShort[] objectShortArray)` Sets the objectShortArray value for this CfgUserHolder.
    `void` | `setObjectShortArrayNSizeIs(int objectShortArrayNSizeIs)` Sets the objectShortArrayNSizeIs value for this CfgUserHolder.
    `void` | `setSiteInfo(CfgSiteShort[] siteInfo)` Sets the siteInfo value for this CfgUserHolder.
    `void` | `setSiteInfoNSizeIs(int siteInfoNSizeIs)` Sets the siteInfoNSizeIs value for this CfgUserHolder.
    `void` | `setSubsystemInfo(CfgSubsystem[] subsystemInfo)` Sets the subsystemInfo value for this CfgUserHolder.
    `void` | `setSubsystemInfoNSizeIs(int subsystemInfoNSizeIs)` Sets the subsystemInfoNSizeIs value for this CfgUserHolder.
    `void` | `setTeamInfo(CfgTeamShort[] teamInfo)` Sets the teamInfo value for this CfgUserHolder.
    `void` | `setTeamInfoNSizeIs(int teamInfoNSizeIs)` Sets the teamInfoNSizeIs value for this CfgUserHolder.
    `void` | `setTimestamp(long timestamp)` Sets the timestamp value for this CfgUserHolder.

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### objectIDArrayNSizeIs

          private int objectIDArrayNSizeIs

    - #### objectIDArray

          private int[] objectIDArray

    - #### objectArrayNSizeIs

          private int objectArrayNSizeIs

    - #### objectArray

          private CfgUser[] objectArray

    - #### objectShortArrayNSizeIs

          private int objectShortArrayNSizeIs

    - #### objectShortArray

          private CfgUserShort[] objectShortArray

    - #### BUInfoNSizeIs

          private int BUInfoNSizeIs

    - #### BUInfo

          private CfgBUShort[] BUInfo

    - #### siteInfoNSizeIs

          private int siteInfoNSizeIs

    - #### siteInfo

          private CfgSiteShort[] siteInfo

    - #### teamInfoNSizeIs

          private int teamInfoNSizeIs

    - #### teamInfo

          private CfgTeamShort[] teamInfo

    - #### subsystemInfoNSizeIs

          private int subsystemInfoNSizeIs

    - #### subsystemInfo

          private CfgSubsystem[] subsystemInfo

    - #### timestamp

          private long timestamp

    - #### __equalsCalc

          private java.lang.Object __equalsCalc

    - #### __hashCodeCalc

          private boolean __hashCodeCalc

  - ### Constructor Detail

    - #### CfgUserHolder

          public CfgUserHolder()

    - #### CfgUserHolder

          public CfgUserHolder(int objectIDArrayNSizeIs,
                       int[] objectIDArray,
                       int objectArrayNSizeIs,
                       CfgUser[] objectArray,
                       int objectShortArrayNSizeIs,
                       CfgUserShort[] objectShortArray,
                       int BUInfoNSizeIs,
                       CfgBUShort[] BUInfo,
                       int siteInfoNSizeIs,
                       CfgSiteShort[] siteInfo,
                       int teamInfoNSizeIs,
                       CfgTeamShort[] teamInfo,
                       int subsystemInfoNSizeIs,
                       CfgSubsystem[] subsystemInfo,
                       long timestamp)

  - ### Method Detail

    - #### getObjectIDArrayNSizeIs

          public int getObjectIDArrayNSizeIs()

      Gets the objectIDArrayNSizeIs value for this CfgUserHolder.
      Returns:
        objectIDArrayNSizeIs

    - #### setObjectIDArrayNSizeIs

          public void setObjectIDArrayNSizeIs(int objectIDArrayNSizeIs)

      Sets the objectIDArrayNSizeIs value for this CfgUserHolder.
      Parameters:
        `objectIDArrayNSizeIs` -

    - #### getObjectIDArray

          public int[] getObjectIDArray()

      Gets the objectIDArray value for this CfgUserHolder.
      Returns:
        objectIDArray

    - #### setObjectIDArray

          public void setObjectIDArray(int[] objectIDArray)

      Sets the objectIDArray value for this CfgUserHolder.
      Parameters:
        `objectIDArray` -

    - #### getObjectArrayNSizeIs

          public int getObjectArrayNSizeIs()

      Gets the objectArrayNSizeIs value for this CfgUserHolder.
      Returns:
        objectArrayNSizeIs

    - #### setObjectArrayNSizeIs

          public void setObjectArrayNSizeIs(int objectArrayNSizeIs)

      Sets the objectArrayNSizeIs value for this CfgUserHolder.
      Parameters:
        `objectArrayNSizeIs` -

    - #### getObjectArray

          public CfgUser[] getObjectArray()

      Gets the objectArray value for this CfgUserHolder.
      Returns:
        objectArray

    - #### setObjectArray

          public void setObjectArray(CfgUser[] objectArray)

      Sets the objectArray value for this CfgUserHolder.
      Parameters:
        `objectArray` -

    - #### getObjectShortArrayNSizeIs

          public int getObjectShortArrayNSizeIs()

      Gets the objectShortArrayNSizeIs value for this CfgUserHolder.
      Returns:
        objectShortArrayNSizeIs

    - #### setObjectShortArrayNSizeIs

          public void setObjectShortArrayNSizeIs(int objectShortArrayNSizeIs)

      Sets the objectShortArrayNSizeIs value for this CfgUserHolder.
      Parameters:
        `objectShortArrayNSizeIs` -

    - #### getObjectShortArray

          public CfgUserShort[] getObjectShortArray()

      Gets the objectShortArray value for this CfgUserHolder.
      Returns:
        objectShortArray

    - #### setObjectShortArray

          public void setObjectShortArray(CfgUserShort[] objectShortArray)

      Sets the objectShortArray value for this CfgUserHolder.
      Parameters:
        `objectShortArray` -

    - #### getBUInfoNSizeIs

          public int getBUInfoNSizeIs()

      Gets the BUInfoNSizeIs value for this CfgUserHolder.
      Returns:
        BUInfoNSizeIs

    - #### setBUInfoNSizeIs

          public void setBUInfoNSizeIs(int BUInfoNSizeIs)

      Sets the BUInfoNSizeIs value for this CfgUserHolder.
      Parameters:
        `BUInfoNSizeIs` -

    - #### getBUInfo

          public CfgBUShort[] getBUInfo()

      Gets the BUInfo value for this CfgUserHolder.
      Returns:
        BUInfo

    - #### setBUInfo

          public void setBUInfo(CfgBUShort[] BUInfo)

      Sets the BUInfo value for this CfgUserHolder.
      Parameters:
        `BUInfo` -

    - #### getSiteInfoNSizeIs

          public int getSiteInfoNSizeIs()

      Gets the siteInfoNSizeIs value for this CfgUserHolder.
      Returns:
        siteInfoNSizeIs

    - #### setSiteInfoNSizeIs

          public void setSiteInfoNSizeIs(int siteInfoNSizeIs)

      Sets the siteInfoNSizeIs value for this CfgUserHolder.
      Parameters:
        `siteInfoNSizeIs` -

    - #### getSiteInfo

          public CfgSiteShort[] getSiteInfo()

      Gets the siteInfo value for this CfgUserHolder.
      Returns:
        siteInfo

    - #### setSiteInfo

          public void setSiteInfo(CfgSiteShort[] siteInfo)

      Sets the siteInfo value for this CfgUserHolder.
      Parameters:
        `siteInfo` -

    - #### getTeamInfoNSizeIs

          public int getTeamInfoNSizeIs()

      Gets the teamInfoNSizeIs value for this CfgUserHolder.
      Returns:
        teamInfoNSizeIs

    - #### setTeamInfoNSizeIs

          public void setTeamInfoNSizeIs(int teamInfoNSizeIs)

      Sets the teamInfoNSizeIs value for this CfgUserHolder.
      Parameters:
        `teamInfoNSizeIs` -

    - #### getTeamInfo

          public CfgTeamShort[] getTeamInfo()

      Gets the teamInfo value for this CfgUserHolder.
      Returns:
        teamInfo

    - #### setTeamInfo

          public void setTeamInfo(CfgTeamShort[] teamInfo)

      Sets the teamInfo value for this CfgUserHolder.
      Parameters:
        `teamInfo` -

    - #### getSubsystemInfoNSizeIs

          public int getSubsystemInfoNSizeIs()

      Gets the subsystemInfoNSizeIs value for this CfgUserHolder.
      Returns:
        subsystemInfoNSizeIs

    - #### setSubsystemInfoNSizeIs

          public void setSubsystemInfoNSizeIs(int subsystemInfoNSizeIs)

      Sets the subsystemInfoNSizeIs value for this CfgUserHolder.
      Parameters:
        `subsystemInfoNSizeIs` -

    - #### getSubsystemInfo

          public CfgSubsystem[] getSubsystemInfo()

      Gets the subsystemInfo value for this CfgUserHolder.
      Returns:
        subsystemInfo

    - #### setSubsystemInfo

          public void setSubsystemInfo(CfgSubsystem[] subsystemInfo)

      Sets the subsystemInfo value for this CfgUserHolder.
      Parameters:
        `subsystemInfo` -

    - #### getTimestamp

          public long getTimestamp()

      Gets the timestamp value for this CfgUserHolder.
      Returns:
        timestamp

    - #### setTimestamp

          public void setTimestamp(long timestamp)

      Sets the timestamp value for this CfgUserHolder.
      Parameters:
        `timestamp` -

    - #### equals

          public boolean equals(java.lang.Object obj)

      Overrides:
        `equals` in class `java.lang.Object`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `java.lang.Object`

Copyright © 2005-2016 Genesys Telecommunications Labs, Inc. All Rights Reserved.